cURL
curl --request POST \ --url https://api.bundleup.io/v1/webhooks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "url": "<string>", "events": { "integration.created": true, "integration.updated": true, "integration.deleted": true, "connection.created": true, "connection.updated": true, "connection.deleted": true, "connection.refreshed": true, "connection.disabled": true } } '
{ "id": "<string>", "name": "<string>", "url": "<string>", "events": { "integration.created": true, "integration.updated": true, "integration.deleted": true, "connection.created": true, "connection.updated": true, "connection.deleted": true, "connection.refreshed": true, "connection.disabled": true }, "lastTriggeredAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "signature": "<string>" }
Creates a webhook for the authenticated workspace.
Pass the API key as a bearer token.
Webhook display name.
3 - 50
Destination URL for webhook deliveries.
Event flags. At least one event must be set to true.
Show child attributes
Webhook created successfully.
Webhook identifier.
Shared secret used to sign webhook deliveries.
Was this page helpful?